NTSidUserPrincipal (Java SE 14 & JDK 14)
Description: declaration: module: jdk.security.auth, package: com.sun.security.auth, class: NTSidUserPrincipal
Keywords: com.sun.security.auth.NTSidUserPrincipal class

Module jdk.security.auth
Package com.sun.security.auth

# Class NTSidUserPrincipal

java.lang.Object
com.sun.security.auth.NTSid
com.sun.security.auth.NTSidUserPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

    public class NTSidUserPrincipal
    extends NTSid

This class extends `NTSid` and represents a Windows NT user's SID.

Principals such as this `NTSidUserPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

See Also:
  `Principal`, `Subject`, Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NTSidUserPrincipal​(String name)` | Create an `NTSidUserPrincipal` with a Windows NT SID.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(Object o)` | Compares the specified Object with this `NTSidUserPrincipal` for equality.
  `String` | `toString()` | Return a string representation of this `NTSidUserPrincipal`.

  ### Methods declared in class com.sun.security.auth.NTSid

  `getName, hashCode`

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### NTSidUserPrincipal

    public NTSidUserPrincipal​(String name)
    Create an `NTSidUserPrincipal` with a Windows NT SID.
    Parameters:
      `name` - a string version of the Windows NT SID for this user.
    Throws:
      `NullPointerException` - if the `name` is `null`.

- ## Method Details

  - ### toString

    public String toString()
    Return a string representation of this `NTSidUserPrincipal`.
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `NTSid`
    Returns:
      a string representation of this `NTSidUserPrincipal`.

  - ### equals

    public boolean equals​(Object o)
    Compares the specified Object with this `NTSidUserPrincipal` for equality. Returns true if the given object is also a `NTSidUserPrincipal` and the two NTSidUserPrincipals have the same SID.
    Specified by:
      `equals` in interface `Principal`
    Overrides:
      `equals` in class `NTSid`
    Parameters:
      `o` - Object to be compared for equality with this `NTSidUserPrincipal`.
    Returns:
      true if the specified Object is equal to this `NTSidUserPrincipal`.
    See Also:
      `Object.hashCode()`, `HashMap`